package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CustomerService;


/**
*  service接口类
*/
public interface CustomerServiceService{

    List<CustomerService> getCustomerServiceList(CustomerService record);

    List<CustomerService> getCustomerServiceByPage(Page page, CustomerService record);

    CustomerService getCustomerServiceById(String id);

    CustomerService getCustomerService(CustomerService record);

    boolean createCustomerService(CustomerService record);

    boolean deleteCustomerService(CustomerService record);

    boolean updateCustomerService(CustomerService record);

    List<CustomerService> getRecentlyLoginList(CustomerService record);
}

